<?php
/**
 * Single Post Options
 *
 * @package online_school_courses
 */

$wp_customize->add_section(
	'online_school_courses_single_post_options',
	array(
		'title' => esc_html__( 'Single Post Options', 'online-school-courses' ),
		'panel' => 'online_school_courses_theme_options',
	)
);

// Post Options - Show / Hide Date.
$wp_customize->add_setting(
	'online_school_courses_single_post_hide_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'online_school_courses_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Online_School_Courses_Toggle_Switch_Custom_Control(
		$wp_customize,
		'online_school_courses_single_post_hide_date',
		array(
			'label'   => esc_html__( 'Show / Hide Date', 'online-school-courses' ),
			'section' => 'online_school_courses_single_post_options',
		)
	)
);

// Post Options - Show / Hide Author.
$wp_customize->add_setting(
	'online_school_courses_single_post_hide_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'online_school_courses_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Online_School_Courses_Toggle_Switch_Custom_Control(
		$wp_customize,
		'online_school_courses_single_post_hide_author',
		array(
			'label'   => esc_html__( 'Show / Hide Author', 'online-school-courses' ),
			'section' => 'online_school_courses_single_post_options',
		)
	)
);

// Post Options - Show / Hide Comments.
$wp_customize->add_setting(
	'online_school_courses_single_post_hide_comments',
	array(
		'default'           => true,
		'sanitize_callback' => 'online_school_courses_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Online_School_Courses_Toggle_Switch_Custom_Control(
		$wp_customize,
		'online_school_courses_single_post_hide_comments',
		array(
			'label'   => esc_html__( 'Show / Hide Comments', 'online-school-courses' ),
			'section' => 'online_school_courses_single_post_options',
		)
	)
);

// Post Options - Show / Hide Time.
$wp_customize->add_setting(
	'online_school_courses_single_post_hide_time',
	array(
		'default'           => true,
		'sanitize_callback' => 'online_school_courses_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Online_School_Courses_Toggle_Switch_Custom_Control(
		$wp_customize,
		'online_school_courses_single_post_hide_time',
		array(
			'label'   => esc_html__( 'Show / Hide Time', 'online-school-courses' ),
			'section' => 'online_school_courses_single_post_options',
		)
	)
);

// Post Options - Show / Hide Category.
$wp_customize->add_setting(
	'online_school_courses_single_post_hide_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'online_school_courses_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Online_School_Courses_Toggle_Switch_Custom_Control(
		$wp_customize,
		'online_school_courses_single_post_hide_category',
		array(
			'label'   => esc_html__( 'Show / Hide Category', 'online-school-courses' ),
			'section' => 'online_school_courses_single_post_options',
		)
	)
);

// Post Options - Show / Hide Tag.
$wp_customize->add_setting(
	'online_school_courses_post_hide_tags',
	array(
		'default'           => true,
		'sanitize_callback' => 'online_school_courses_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Online_School_Courses_Toggle_Switch_Custom_Control(
		$wp_customize,
		'online_school_courses_post_hide_tags',
		array(
			'label'   => esc_html__( 'Show / Hide Tag', 'online-school-courses' ),
			'section' => 'online_school_courses_single_post_options',
		)
	)
);

// Post Options - Comment Title.
$wp_customize->add_setting(
	'online_school_courses_blog_post_comment_title',
	array(
		'default'=> 'Leave a Reply',
		'sanitize_callback'	=> 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'online_school_courses_blog_post_comment_title',
	array(
		'label'	=> __('Comment Title','online-school-courses'),
		'input_attrs' => array(
			'placeholder' => __( 'Leave a Reply', 'online-school-courses' ),
		),
		'section'=> 'online_school_courses_single_post_options',
		'type'=> 'text'
	)
);